## imagefreeze

imagefreeze — Generates a still frame stream from an image

## Types and Values

struct | GstImageFreeze

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstImageFreeze

## Description

The imagefreeze element generates a still frame video stream from the input. It duplicates the first frame with the framerate requested by downstream, allows seeking and answers queries.

### Example launch line

    1

    gst-launch-1.0 -v filesrc location=some.png ! decodebin2 ! imagefreeze ! autovideosink

This pipeline shows a still frame stream of a PNG file.

## Synopsis

### Element Information

plugin | imagefreeze
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Filter/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw

name | src
direction | source
presence | always
details | video/x-raw

## Functions

## Types and Values

### struct GstImageFreeze

    struct GstImageFreeze;